# TdApi.ChatEvent (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ChatEvent

Package it.tdlight.jni

# Class TdApi.ChatEvent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatEvent

Enclosing class:
  TdApi

    public static class TdApi.ChatEvent
    extends TdApi.Object

Represents a chat event.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.ChatEventAction` | `action` | Action performed by the user.
`static int` | `CONSTRUCTOR` |
`int` | `date` | Point in time (Unix timestamp) when the event happened.
`long` | `id` | Chat event identifier.
`long` | `userId` | Identifier of the user who performed the action that triggered the event.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatEvent()` | Represents a chat event.
`ChatEvent​(long id, int date, long userId, TdApi.ChatEventAction action)` | Represents a chat event.
`ChatEvent​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public long id
Chat event identifier.

### date

public int date
Point in time (Unix timestamp) when the event happened.

### userId

public long userId
Identifier of the user who performed the action that triggered the event.

### action

public TdApi.ChatEventAction action
Action performed by the user.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ChatEvent

public ChatEvent()
Represents a chat event.

### ChatEvent

public ChatEvent​(long id, int date, long userId, TdApi.ChatEventAction action)
Represents a chat event.

Parameters:
  `id` - long Chat event identifier.
  `date` - int Point in time (Unix timestamp) when the event happened.
  `userId` - long Identifier of the user who performed the action that triggered the event.
  `action` - ChatEventAction Action performed by the user.

### ChatEvent

public ChatEvent​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`